Bug 205 - Не пересобирается SRPM - compilation error
: Не пересобирается SRPM - compilation error
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/clanlib)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-12-08 14:52 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-12-08 14:52:40
Compiling Sources/Display/System/Unix/directfb_target.cpp
g++ -pipe -Wall -O3 -fexpensive-optimizations -march=i686 -malign-loops=2 -malign-jumps=2 -malign-functions=2 -mpreferred-stack-boundary=2 -ffast-math -Wall -I Sources -I /usr/X11R6/include -I /usr/X11R6/include/X11 -I/usr/include/freetype2  -fPIC -DNOCONTROLS -D__int64=int64_t  -DCL_SCANDIR=\\\"/usr/lib/ClanLib\\\" -DHAVE_LIBZ=1 -DUSE_X11=1 -DUSE_DIRECTFB=1 -DUSE_JOY=1 -DUSE_OPENGL=1 -DUSE_VIDMODE=1 -DUSE_CLANSOUND=1 -DUSE_NETWORK=1 -DUSE_I386_ASSEMBLER=1 -DUSE_DYN=1 -DUSE_GUI=1 -DUSE_MIKMOD=1 -DUSE_PNG=1 -DUSE_JPEG=1 -DUSE_SMALLJPEG=1 -DUSE_VORBIS=1 -DUSE_TTF=1 -DHAVE_LIBPTHREAD=1    -I/usr/include   -c Sources/Display/System/Unix/directfb_target.cpp -o Libs/Intermediate/directfb_target.o
Sources/Display/System/Unix/directfb_target.cpp: In method `void CL_DirectFBTarget::init ()\':
Sources/Display/System/Unix/directfb_target.cpp:70: cannot convert `int (*) (unsigned int, DFBInputDeviceDescription, void *)\' to `DFBEnumerationResult (*) (unsigned int, DFBInputDeviceDescription, void *)\' in argument passing
make: *** [Libs/Intermediate/directfb_target.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.23881 (%build)
---

---

------- Comment #1 From 2002-04-16 20:16:13 -------
Fixed in latest clanlib
------- Comment #2 From 2002-04-16 20:16:13 -------
Fixed in latest clanlib